Show / Hide Table of Contents

# Class ConnectionSummary

Provides high level information about a connection.

##### Inheritance

System.Object
ConnectionSummary
ConnectionDetails

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.Connection.Contracts

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class ConnectionSummary

### Properties

| Improve this Doc View Source

#### DatabaseName

Gets or sets the connection database name

##### Declaration

    public string DatabaseName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### ServerName

Gets or sets the connection server name

##### Declaration

    public string ServerName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### UserName

Gets or sets the connection user name

##### Declaration

    public string UserName { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

### Extension Methods

ConnectionSummaryExtensions.Clone(ConnectionSummary)